Package Details: ffmpeg-decklink 1:7.0.1-1

Git Clone URL: https://aur.archlinux.org/ffmpeg-decklink.git (read-only, click to copy)
Package Base: ffmpeg-decklink
Description: Complete solution to record, convert and stream audio and video (decklink enabled)
Upstream URL: https://www.ffmpeg.org/
Keywords: audio codec convert decklink encoder ffmpeg media video
Licenses: LicenseRef-nonfree-and-unredistributable
Conflicts: ffmpeg
Provides: ffmpeg, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: jankoppe
Maintainer: dbermond
Last Packager: dbermond
Votes: 2
Popularity: 0.000000
First Submitted: 2016-05-11 10:29 (UTC)
Last Updated: 2024-06-21 21:55 (UTC)

Required by (1847)

Sources (6)

Latest Comments

1 2 Next › Last »

dbermond commented on 2024-03-18 22:35 (UTC)

@herges Package updated. Added patch for vulkan-headers 1.3.279. Thanks for reporting.

herges commented on 2024-03-18 21:55 (UTC)

The current version 1:6.1.1-1 seems not to build with vulkan-icd-loader-1.3.279-1 from 2024-03-06. Setting --disable-vulkan fixed this. Here is a part of this error message:


CC      libavcodec/vulkan_av1.o
In Datei, eingebunden von libavcodec/vulkan_av1.c:21:
libavcodec/vulkan_decode.h:31:5: Fehler: unbekannter Typname: »VkVideoDecodeAV1ProfileInfoMESA«
   31 |     VkVideoDecodeAV1ProfileInfoMESA av1_profile;
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:38:5: Fehler: unbekannter Typname: »StdVideoAV1MESATile«
   38 |     StdVideoAV1MESATile            tiles[MAX_TILES];
      |     ^~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:39:5: Fehler: unbekannter Typname: »StdVideoAV1MESATileList«
   39 |     StdVideoAV1MESATileList        tile_list;
      |     ^~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:43:5: Fehler: unbekannter Typname: »VkVideoDecodeAV1DpbSlotInfoMESA«
   43 |     VkVideoDecodeAV1DpbSlotInfoMESA    vkav1_ref;
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:44:5: Fehler: unbekannter Typname: »StdVideoAV1MESAFrameHeader«
   44 |     StdVideoAV1MESAFrameHeader         av1_frame_header;
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:45:5: Fehler: unbekannter Typname: »VkVideoDecodeAV1PictureInfoMESA«
   45 |     VkVideoDecodeAV1PictureInfoMESA    av1_pic_info;
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:49:5: Fehler: unbekannter Typname: »VkVideoDecodeAV1DpbSlotInfoMESA«
   49 |     VkVideoDecodeAV1DpbSlotInfoMESA     vkav1_refs[AV1_NUM_REF_FRAMES];
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
libavcodec/vulkan_av1.c:58:29: Fehler: Unbekannter Typname »VkVideoDecodeAV1DpbSlotInfoMESA«; meinten Sie »VkVideoDecodeAV1DpbSlotInfoKHR«?
   58 |                             VkVideoDecodeAV1DpbSlotInfoMESA *vkav1_ref, /* Goes in ^ */
      |                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                             VkVideoDecodeAV1DpbSlotInfoKHR
libavcodec/vulkan_av1.c: In Funktion »vk_av1_create_params«:
libavcodec/vulkan_av1.c:113:5: Fehler: Unbekannter Typname »StdVideoAV1MESASequenceHeader«; meinten Sie »StdVideoAV1SequenceHeader«?
  113 |     StdVideoAV1MESASequenceHeader av1_sequence_header;
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |     StdVideoAV1SequenceHeader
....
....
libavcodec/vulkan_av1.c: In Funktion »vk_av1_end_frame«:
libavcodec/vulkan_av1.c:516:23: Fehler: Anfrage nach Element »nb_tiles« in etwas, was keine Struktur oder Variante ist
  516 |     if (!ap->tile_list.nb_tiles)
      |                       ^
libavcodec/vulkan_av1.c:534:42: Fehler: Anfrage nach Element »nb_tiles« in etwas, was keine Struktur oder Variante ist
  534 |            vp->slices_size, ap->tile_list.nb_tiles);
      |                                          ^
cc1: Einige Warnungen werden als Fehler behandelt
make: *** [ffbuild/common.mak:81: libavcodec/vulkan_av1.o] Fehler 1

dbermond commented on 2023-06-21 00:45 (UTC)

@thurstylark The option was accidentally dropped in the last update. Now fixed, by adding it again. Thanks for reporting.

thurstylark commented on 2023-05-17 14:25 (UTC) (edited on 2023-05-17 14:25 (UTC) by thurstylark)

Current version fails in build() with the following message:

==> Starting build()...
  -> Running ffmpeg configure script...
decklink is incompatible with the gpl and --enable-nonfree is not specified.

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.libera.chat.
Include the log file "ffbuild/config.log" produced by configure as this will help
solve the problem.
==> ERROR: A failure occurred in build().
    Aborting...

Adding --enable-nonfree to the configure script options fixes the issue.

dbermond commented on 2020-10-19 14:56 (UTC)

@jankoppe Added patch for srt 1.4.2. I added the patch in ffmpeg-full but forgot to add it here. Thanks.

jankoppe commented on 2020-10-19 11:50 (UTC) (edited on 2020-10-19 11:50 (UTC) by jankoppe)

Current version of ffmpeg has deprecated use of libsrt, that is not compatible with newer versions of libsrt anymore. There is the option of downgrading libsrt or applying this patch, as described in https://trac.ffmpeg.org/ticket/8760#comment:5 :

--- a/libavformat/libsrt.c
+++ b/libavformat/libsrt.c
@@ -313,8 +313,7 @@
         (s->pbkeylen >= 0 && libsrt_setsockopt(h, fd, SRTO_PBKEYLEN, "SRTO_PBKEYLEN", &s->pbkeylen, sizeof(s->pbkeylen)) < 0) ||
         (s->passphrase && libsrt_setsockopt(h, fd, SRTO_PASSPHRASE, "SRTO_PASSPHRASE", s->passphrase, strlen(s->passphrase)) < 0) ||
 #if SRT_VERSION_VALUE >= 0x010302
-        /* SRTO_STRICTENC == SRTO_ENFORCEDENCRYPTION (53), but for compatibility, we used SRTO_STRICTENC */
-        (s->enforced_encryption >= 0 && libsrt_setsockopt(h, fd, SRTO_STRICTENC, "SRTO_STRICTENC", &s->enforced_encryption, sizeof(s->enforced_encryption)) < 0) ||
+        (s->enforced_encryption >= 0 && libsrt_setsockopt(h, fd, SRTO_ENFORCEDENCRYPTION, "SRTO_ENFORCEDENCRYPTION", &s->enforced_encryption, sizeof(s->enforced_encryption)) < 0) ||
         (s->kmrefreshrate >= 0 && libsrt_setsockopt(h, fd, SRTO_KMREFRESHRATE, "SRTO_KMREFRESHRATE", &s->kmrefreshrate, sizeof(s->kmrefreshrate)) < 0) ||
         (s->kmpreannounce >= 0 && libsrt_setsockopt(h, fd, SRTO_KMPREANNOUNCE, "SRTO_KMPREANNOUNCE", &s->kmpreannounce, sizeof(s->kmpreannounce)) < 0) ||
 #endif
@@ -333,7 +332,7 @@
         (s->lossmaxttl >= 0 && libsrt_setsockopt(h, fd, SRTO_LOSSMAXTTL, "SRTO_LOSSMAXTTL", &s->lossmaxttl, sizeof(s->lossmaxttl)) < 0) ||
         (s->minversion >= 0 && libsrt_setsockopt(h, fd, SRTO_MINVERSION, "SRTO_MINVERSION", &s->minversion, sizeof(s->minversion)) < 0) ||
         (s->streamid && libsrt_setsockopt(h, fd, SRTO_STREAMID, "SRTO_STREAMID", s->streamid, strlen(s->streamid)) < 0) ||
-        (s->smoother && libsrt_setsockopt(h, fd, SRTO_SMOOTHER, "SRTO_SMOOTHER", s->smoother, strlen(s->smoother)) < 0) ||
+        (s->smoother && libsrt_setsockopt(h, fd, SRTO_CONGESTION, "SRTO_CONGESTION", s->smoother, strlen(s->smoother)) < 0) ||
         (s->messageapi >= 0 && libsrt_setsockopt(h, fd, SRTO_MESSAGEAPI, "SRTO_MESSAGEAPI", &s->messageapi, sizeof(s->messageapi)) < 0) ||
         (s->payload_size >= 0 && libsrt_setsockopt(h, fd, SRTO_PAYLOADSIZE, "SRTO_PAYLOADSIZE", &s->payload_size, sizeof(s->payload_size)) < 0) ||
         ((h->flags & AVIO_FLAG_WRITE) && libsrt_setsockopt(h, fd, SRTO_SENDER, "SRTO_SENDER", &yes, sizeof(yes)) < 0)) {

dbermond commented on 2020-03-25 13:29 (UTC)

@limaxray Thanks. Package updated.

limaxray commented on 2020-03-24 19:16 (UTC)

The PKGBUILD is missing the sha256sum of the new decklink 11.5 support patch, causing makepkg to fail on source validation.

dbermond commented on 2018-06-11 02:01 (UTC)

@ggrub Thank you for appreciating this package.

Yes, vaapi decode for mjpeg is enabled in this package. It's not viewed with ffmpeg -codecs or -decoders options. vaapi decoding is treated as a hwaccel component, and not as direct decoder, being used with ffmpeg option -hwaccel. You can see it enabled by viewing the ./configure output at build time: Enabled hwaccels: ... mjpeg_vaapi.

ggrub commented on 2018-06-10 12:12 (UTC)

MJPEG decode hwaccel is included ?

https://github.com/FFmpeg/FFmpeg/commit/63c690ad154509dcda78d3d3537bd1af9c406241

DEVIL. mjpeg Motion JPEG (decoders: mjpeg mjpeg_cuvid ) (encoders: mjpeg mjpeg_vaapi )